Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> FTP >> vxworks ftpd buffer overflow


Vulnerability Assessment Details

vxworks ftpd buffer overflow

Vulnerability Assessment Summary
Checks if the vxworks ftpd can be buffer overflowed

Detailed Explanation for this Vulnerability Assessment

It might be possible to make the remote FTP server
crash by issuing this command :

CEL aaaa(...)aaaa

This problem is similar to the 'aix ftpd' overflow
but on embedded vxworks based systems like the 3com
nbx IP phone call manager and seems to cause the server
to crash.

*** Note that Nessus solely relied on the banner of
*** the remote server to issue this warning.

Solution: If you are using an embedded vxworks
product, please contact the OEM vendor and reference
WindRiver field patch TSR 296292. If this is the
3com NBX IP Phone call manager, contact 3com.

This affects VxWorks ftpd versions 5.4 and 5.4.2

For more information, see CERT VU 317417
http://www.kb.cert.org/vuls/id/317417
or full security alert at
http://www.secnap.net/security/nbx001.html

Network Security Threat Level: High

Networks Security ID: 6297

Vulnerability Assessment Copyright: This script is Copyright (C) 2002 Michael Scheidell

Cables, Connectors

Atari 800 motherboard
$10.0
Atari 800 motherboard pictureAtari ST Computer Owner's Manual (1987)
$24.99
Atari ST Computer Owner's Manual (1987) pictureAtari 1050 Disk Drive Manual + DOS 3 Manuals
$19.99
Atari 1050 Disk Drive Manual + DOS 3 Manuals picturePOPEYE (1986) in ORIGINAL BOX COMPLETE (1982) Parker Brothers Atari 400/800
$60.0
POPEYE (1986) in ORIGINAL BOX  COMPLETE (1982) Parker Brothers Atari 400/800 picture


Discussions

No Discussions have been posted on this vulnerability.